/*
 *  Copyright 2012-2014 by Texas Instruments Incorporated.
 *
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 */

/* Load and use the various BIOS modules. */
var BIOS    = xdc.useModule('ti.sysbios.BIOS');
var Task    = xdc.useModule('ti.sysbios.knl.Task');

/* Load and use the CSL package */
var Csl = xdc.loadPackage('ti.csl');

/* Load and use LLDs */
var Cppi = xdc.loadPackage('ti.drv.cppi'); 
var Aif2 = xdc.loadPackage('ti.drv.aif2');

/* Load and use the Fault Management tci6614 package */
var Fault_mgmt = xdc.useModule ('ti.instrumentation.fault_mgmt.Settings');
Fault_mgmt.deviceType = "tci6614";

/* Enable BIOS Task Scheduler */
BIOS.taskEnabled			=   true;

/*
 * The SysMin used here vs StdMin, as trace buffer address is required for
 * Linux trace debug driver, plus provides better performance.
 */
Program.global.sysMinBufSize = 0x8000;
var System = xdc.useModule('xdc.runtime.System');
var SysMin = xdc.useModule('xdc.runtime.SysMin');
System.SupportProxy = SysMin;
SysMin.bufSize = Program.global.sysMinBufSize;

/* Load the Exception and register a exception hook */
var Exception = xdc.useModule('ti.sysbios.family.c64p.Exception');
Exception.exceptionHook = '&myExceptionHook';
Exception.enablePrint = true;
 
/* BIOS Resource Table: */
Program.sectMap[".resource_table"] = new Program.SectionSpec();
Program.sectMap[".resource_table"].type = "NOINIT";
Program.sectMap[".resource_table"] = "L2SRAM";

Program.sectMap[".note"] = new Program.SectionSpec();
Program.sectMap[".note"].type = "NOLOAD";
Program.sectMap[".note"] = "L2SRAM";
Program.sectMap[".note"].loadAlign = 128;

/* Not used but place anyway */
Program.sectMap[".fm_cleanup_status"] = new Program.SectionSpec();
Program.sectMap[".fm_cleanup_status"] = "L2SRAM";

Program.sectMap[".cppi"] = new Program.SectionSpec();
Program.sectMap[".cppi"] = "L2SRAM";

